package com.railway.business.safetool.service;

import com.railway.business.safetool.domain.BaseSafetyTool;
import com.railway.common.core.domain.AjaxResult;
import java.util.List;
/**
* 安全工具-基础数据
* @author wuhonghao
* @date 2021/12/01
*/
public interface IBaseSafetyToolService{

    /**
    * 新增
    */
    int create(BaseSafetyTool baseSafetyTool);

    /**
    * 删除
    */
    int delete(Long[] toolIds);

    /**
    * 更新
    */
    int update(BaseSafetyTool baseSafetyTool);

    /**
    * 获取单个
    */
    BaseSafetyTool getInfo(Long toolId);

    /**
     * 获取单个
     */
    BaseSafetyTool getInfoByQcode(String qcode);

    /**
     * 获取单个
     */
    void setBaseSafetyTool(BaseSafetyTool tool);

    /**
    * 查询列表
    */
    List<BaseSafetyTool> getList(BaseSafetyTool baseSafetyTool);

    /**
     * 批量导出二维码
     */
    AjaxResult export(BaseSafetyTool baseSafetyTool);

    /**
     * 批量导出二维码
     */
    AjaxResult export(Long[] ids);

    /**
     *  替换安全工具
     */
    int replaceTool(BaseSafetyTool baseSafetyTool);

    /**
     *  刷新二维码
     */
    void refresh();


}
